Bug 180612 - Yet Another Evolution SEGV
Yet Another Evolution SEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 09:23 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-02-09 09:23:00 EST
First happened when I had searched a folder for 'Subject or Sender contains...'
and then attempted to select 'Body contains...' to do another search. Was
repeatable. 

Then I hit 'clear' to forget the original search before selecting 'Body
contains...'. After that, it would never start up again....

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160241696 (LWP 28044)]
0x0e526e48 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
(gdb)
(gdb) bt
#0  0x0e526e48 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#1  0x0e5272d8 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#2  0x0fb4d4bc in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#3  0x0fb3c6dc in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#4  0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0fb50518 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#6  0x0fb51c58 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x0fb5209c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x00c0bd0c in html_tokenizer_begin () from /usr/lib/libgtkhtml-3.6.so.18
#9  0x00bdb578 in html_engine_begin () from /usr/lib/libgtkhtml-3.6.so.18
#10 0x00ba217c in gtk_html_begin_full () from /usr/lib/libgtkhtml-3.6.so.18
#11 0x00ba2a60 in gtk_html_begin () from /usr/lib/libgtkhtml-3.6.so.18
#12 0x0e552908 in em_format_html_job_queue ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#13 0x0e54e268 in em_format_html_display_popup_menu ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#14 0x0e54caa4 in em_format_html_display_set_search ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#15 0x0e539424 in em_folder_browser_show_preview ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
---Type <return> to continue, or q <return> to quit---
#16 0x0e49a6d8 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
#17 0x0fb4c790 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#18 0x0fb3cd20 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#19 0x0fb50938 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#20 0x0fb51c58 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#21 0x0fb5209c in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#22 0xf7fdae44 in e_multi_config_dialog_show_page ()
   from /usr/lib/evolution/2.2/libemiscwidgets.so.0
#23 0x0e49b714 in ?? () from /usr/lib/evolution/2.2/libefilterbar.so.0
#24 0x0fb452bc in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#25 0x0fb45544 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#26 0x0e53a730 in em_folder_browser_show_preview ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#27 0x0e547448 in em_folder_view_mark_selected ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#28 0x0e57c25c in mail_build_attachment ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#29 0x0e57832c in mail_msg_free ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#30 0x0fd34584 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#31 0x0fd00a94 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#32 0x0fd04d6c in g_main_context_check () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#33 0x0fd051c4 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#34 0x0e946414 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#35 0x0e526e10 in e_searching_tokenizer_match_count ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
Comment 1 Christian Iseli 2007-01-22 06:26:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matěj Cepl 2007-08-31 11:20:35 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matthew Barnes 2007-10-02 13:21:15 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.